Subject: [Gen-art] review of draft-atarius-dispatch-meid-urn-as-instanceid-05.txt

From: Francis Dupont <[email-masked]>
Date: Mon, 11 Dec 2017 16:43:15 +0100

I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed
by the IESG for the IETF Chair.  Please treat these comments just
like any other last call comments.

For more information, please see the FAQ at

<https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.

Document: draft-atarius-dispatch-meid-urn-as-instanceid-05.txt
Reviewer: Francis Dupont
Review Date: 20171124
IETF LC End Date: 20171208
IESG Telechat date: unknown

Summary: Ready

Major issues: None

Minor issues: None

Nits/editorial comments: 
 - ToC page 2 and 11 page 7: Acknowledgements -> Acknowledgments

 - 1 page 2: please expand abbrev in at the first use in the body
  for URN (optional as it is a well known abbrev according to
  https://www.rfc-editor.org/materials/abbrev.expansion.txt),
  NSS and MEID.

 - 1 page 2: please mark the RFC 5626 quote as a quote (e.g., in its
  own paragraph with a few spaces more for indentation.

 - 2 page 3: RFC 2119 was updated by RFC 8174 (note the RFC Editor
  will update this section if you don't)

 - 5 page 4: UAC abbrev was not introduces: I believe it stands for
  User Agent Client (so it is bad practice but the text is not ambiguous)

 - 9 page 6: I suggest to remove the comma in
  "Entities that log the instance-id, need ..."
  (but if you prefer to keep it I shan't object)

 - 9 page 6: IPSec -> IPsec

 - 11.1 [5] page 7: RFC 2119 -> 8174

Regards

[email-masked]

---

From: R Atarius <[email-masked]>
Date: Mon, 18 Dec 2017 23:24:10 +0000 (UTC)

Hello Francis,
please see my comments below
ThanksRoozbeh 

      From: Francis Dupont <[email-masked]>
 To: [email-masked] 
Cc: [email-masked]
 Sent: Monday, December 11, 2017 8:05 AM
 Subject: review of draft-atarius-dispatch-meid-urn-as-instanceid-05.txt

Summary: Ready

Major issues: None

Minor issues: None

Nits/editorial comments: 

<Roozbeh> Both spellings are correct but first one is preferred by British English vs. the second one by American. I have no problem to remove "e".
 - 1 page 2: please expand abbrev in at the first use in the body
  for URN (optional as it is a well known abbrev according to
  https://www.rfc-editor.org/materials/abbrev.expansion.txt),
  NSS and MEID.

<Roozbeh> OK 

<Roozbeh> will this work for you?
   RFC 5626 [2] requires that a UA SHOULD create a Universally Unique
   Identifier (UUID) URN as specified in RFC 4122 [7] as its instance-id
   but allows for the possibility to use other URN schemes. According to   RFC 5626 [2]       "If a URN scheme other than UUID is used, the UA MUST only use URNs    for which an RFC (from the IETF stream) defines how the specific URN    needs to be constructed and used in the "+sip.instance" Contact header    field parameter for outbound behavior."  
   This specification meets this requirement by specifying how the 3GPP2    MEID URN is used in the "+sip.instance" Contact header field parameter    for outbound behavior and draft-atarius-dispatch-meid-urn [8] specifies    how the 3GPP2 MEID URN is constructed.

<Roozbeh> I prefer RFC Editor to do it so I pass. Thanks
 - 5 page 4: UAC abbrev was not introduces: I believe it stands for
  User Agent Client (so it is bad practice but the text is not ambiguous)

<Roozbeh> OK!

<Roozbeh> I prefer to keep it. Thanks
 - 9 page 6: IPSec -> IPsec

<Roozbeh> OK!

<Roozbeh> I prefer RFC Editor to do it so I pass. Thanks

Regards